Bug 146012 - ttcp crashes when run on IA64
ttcp crashes when run on IA64
Product: Fedora
Classification: Fedora
Component: ttcp (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
Depends On:
  Show dependency treegraph
Reported: 2005-01-24 13:22 EST by Vladimir Mencl
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-15 10:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix the malloc issue + polish code (clean compile) (6.18 KB, patch)
2005-01-24 13:23 EST, Vladimir Mencl
no flags Details | Diff

  None (edit)
Description Vladimir Mencl 2005-01-24 13:22:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
ttcp crashes when run on IA64

This is a problem already know and reported against Redhat 7.2 in bug
#80050 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80050, but
still persists in FC3.

ttcp.c does not include stdlib.h, the right header to get malloc
defined (according to C99).

On IA64, sizeof(int) is 4 but sizeof(void *) is 8.

Thus, all allocated pointers are trimmed and ttcp core dumps.

In the attached patch, I have fixed this malloc issue + polished ttcp
to get a clean compile (tested on FC3/i686, debian GNU/Linux on IA64,
FreeBSD 4.10).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compile ttcp.c on IA64
   cc -o ttcp -g -Wall ttcp.c
2. run ttcp (transmit, UDP, seed, source a pattern, verbose,
   ./ttcp -t -u -s -v

Actual Results:  ttcp core dumps (in function pattern)

Expected Results:  ttcp starts measuring network throughput

Additional info:
Comment 1 Vladimir Mencl 2005-01-24 13:23:17 EST
Created attachment 110139 [details]
fix the malloc issue + polish code (clean compile)
Comment 2 Radek Vokal 2005-02-15 10:17:58 EST
Thanks, it goes to ttcp-1.12-11

Note You need to log in before you can comment on or make changes to this bug.